Post payment to past due invoice
Posts a payment to a past due invoice.
Note: This can only be used if the paymentAllowed value for a past due invoice is true. This can be determined calling [ML:GetBillingInvoicesPastDue].
The response returns information for a single payment, if a payment ID was used in the endpoint, or a list of payments. If the from date or to date queries or payment ID are not used, the response returns payment information for the last 365 days. If the request was for a single payment ID, the nextUri and previousUri properties are not returned.
Privileges required: account administrator
Authentication
Authorizationstring
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
accountId
The external account number (int) or account id GUID.
Request
This endpoint expects an object: billingPaymentRequest
paymentAmount
The payment amount for the past due invoices. This value must match the pastDueBalance value retrieved using Get Past Due Invoices.
Response
Successful response.
billingPayments
Reserved: TBD
Errors
400
Bad Request Error